[FFe] Merge groovy 1.7.4-1 (main) from Debian testing (main)

Bug #661230 reported by Thierry Carrez on 2010-10-15
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
groovy (Ubuntu)
Medium
James Page

Bug Description

RATIONALE:
This sync was delayed due new dependencies going through the MIR process which did not complete until just before FF.
This is a minor version upgrade, the majority of which is bug fixes (but with some improvements as well).
Requires an Ubuntu specific fix (for FTBFS) so hence a merge rather than a straight sync.

BUILD LOG:
See attached - generated from clean natty sbuild environment. Also built in PPA (http://launchpadlibrarian.net/65136616/buildlog_ubuntu-natty-i386.groovy_1.7.4-1ubuntu1~ppa1_BUILDING.txt.gz).

UPSTREAM CHANGE LOG:
See attached.

TESTING:
This version of groovy has been in Debian UNSTABLE since 2010-08-07 and was migrated to testing just after Debian 6 was released.

The following reverse-build-dependencies (as identified in main) have been tested and successfully complete builds:
  libjson-java DONE
  eucalyptus DONE
  eucalyptus-commons-ext DONE

As UEC is not currently functional in Natty, the updated groovy package has been tested with a two node UEC setup on Maverick.
  Testing with UEC on Maverick - DONE

The normal UEC minimal topology test was completed (http://testcases.qa.ubuntu.com/Install/ServerUECTopology1). In addition the web interface was also used to perform some functions.

UEC testing on Natty will be completed as normal in the rest of the release cycle.

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

Please sync groovy 1.7.4-1 (main) from Debian testing (main)

There are a few prerequisites before we can sync, though:
 - Wait for jansi and jansi-native to be synced from debian
 - MIR for jansi, jansi-native and hawtjni

Explanation of the Ubuntu delta and why it can be dropped:
The Ubuntu delta was merged in Debian as of 1.7.2-1.

Changelog entries since current natty version 1.7.0-3ubuntu1:

groovy (1.7.4-1) unstable; urgency=low

  * New upstream release.
  * Add Depends on default-jdk. (Closes: 580160).
  * Bump debhelper compatibility level to 7.
  * Bump Standards-Version to 3.9.1.
    debian/copyright was updated to include the full text of BSD license,
    references to /usr/share/common-licenses/BSD are now deprecated.

 -- Miguel Landaeta <email address hidden> Thu, 05 Aug 2010 19:38:10 -0430

groovy (1.7.3-1) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * New upstream release, refreshed patches.
  * Bumped policy to 3.9.0, no changes required

  [ Miguel Landaeta ]
  * Add myself as Uploader.
  * Add Build-Depends and Depends on libjansi-java.
  * Refresh patches/0002-ant-build.diff.patch.
  * Add mh_clean invocation to clean target.

 -- Miguel Landaeta <email address hidden> Thu, 05 Aug 2010 14:49:05 -0430

groovy (1.7.2-1) UNRELEASED; urgency=low

  [ Torsten Werner ]
  UNRELEASED, FTBFS: needs jansi
  * New upstream release
  * Change maintainers into Maintainers.
  * Update patches and convert them to dep3 format.

  [ Thierry Carrez ]
  * debian/control, debian/rules: (Build-)Depend on libservlet2.5-java
    instead of libservlet2.4-java
  * debian/control: Remove useless runtime dependency on libclassworlds-java

 -- Thierry Carrez <email address hidden> Wed, 09 Jun 2010 10:53:24 +0200

Related branches

Thierry Carrez (ttx) on 2010-10-15
Changed in groovy (Ubuntu):
importance: Undecided → Wishlist
status: New → Incomplete
summary: - Sync groovy 1.7.4-1 (main) from Debian unstable (main)
+ [BLOCKED] Sync groovy 1.7.4-1 (main) from Debian unstable (main)

I have MIR for jansi, jansi-native and hawtjni on my todo list and this bug is a duplicate of bug 614981.

I'll leave this one intact and mark the other as a duplicate.

Artur Rona (ari-tczew) wrote :

BUILD FAILED
/tmp/buildd/groovy-1.7.4/build.xml:107: java.lang.NoClassDefFoundError: org/apache/tools/ant/taskdefs/optional/TraXLiaison
 at org.apache.tools.ant.taskdefs.XSLTProcess.resolveProcessor(XSLTProcess.java:674)
 at org.apache.tools.ant.taskdefs.XSLTProcess.getLiaison(XSLTProcess.java:912)
 at org.apache.tools.ant.taskdefs.XSLTProcess.execute(XSLTProcess.java:347)
 at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291)
 at sun.reflect.GeneratedMethodAccessor4.invoke(Unknown Source)
 at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
 at java.lang.reflect.Method.invoke(Method.java:616)
 at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
 at org.apache.tools.ant.Task.perform(Task.java:348)
 at org.apache.tools.ant.Target.execute(Target.java:390)
 at org.apache.tools.ant.Target.performTasks(Target.java:411)
 at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1397)
 at org.apache.tools.ant.Project.executeTarget(Project.java:1366)
 at org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:41)
 at org.apache.tools.ant.Project.executeTargets(Project.java:1249)
 at org.apache.tools.ant.Main.runBuild(Main.java:801)
 at org.apache.tools.ant.Main.startAnt(Main.java:218)
 at org.apache.tools.ant.Main.start(Main.java:180)
 at org.apache.tools.ant.Main.main(Main.java:269)
Caused by: java.lang.ClassNotFoundException: org.apache.tools.ant.taskdefs.optional.TraXLiaison
 at java.net.URLClassLoader$1.run(URLClassLoader.java:217)
 at java.security.AccessController.doPrivileged(Native Method)
 at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
 at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
 ... 19 more

Total time: 1 second
make: *** [debian/stamp-ant-build] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2
E: Failed autobuilding of package

Thierry Carrez (ttx) wrote :

TraXLiaison is (as of 1.8) in ant-nodeps.jar, which needs to be added to the DEB_JARS in debian/rules

James Page (james-page) wrote :

Note that this sync is also blocked by bug 676904 which covers the MIR for jansi, jansi-native and hawtjni.

Launchpad Janitor (janitor) wrote :

[Expired for groovy (Ubuntu) because there has been no activity for 60 days.]

Changed in groovy (Ubuntu):
status: Incomplete → Expired
James Page (james-page) on 2011-02-23
Changed in groovy (Ubuntu):
status: Expired → Incomplete
James Page (james-page) on 2011-02-23
Changed in groovy (Ubuntu):
milestone: none → natty-alpha-3
James Page (james-page) on 2011-02-24
summary: - [BLOCKED] Sync groovy 1.7.4-1 (main) from Debian unstable (main)
+ Sync groovy 1.7.4-1 (main) from Debian testing (main)
description: updated
James Page (james-page) on 2011-02-24
Changed in groovy (Ubuntu):
status: Incomplete → In Progress
importance: Wishlist → Medium
assignee: nobody → James Page (james-page)

MIR's now approved; however sync + patch missed FF cutoff.

James Page (james-page) wrote :
James Page (james-page) on 2011-02-25
summary: - Sync groovy 1.7.4-1 (main) from Debian testing (main)
+ [FFe] Sync groovy 1.7.4-1 (main) from Debian testing (main)
James Page (james-page) on 2011-02-25
description: updated
description: updated

James, I guess there is FFe needed by ubuntu-release. Also, you don't need to send package from Debian to bzr branch.
https://wiki.ubuntu.com/FreezeExceptionProcess

James Page (james-page) on 2011-02-25
description: updated
James Page (james-page) on 2011-02-25
description: updated
James Page (james-page) on 2011-02-28
description: updated
description: updated
James Page (james-page) on 2011-02-28
description: updated
description: updated
James Page (james-page) on 2011-02-28
description: updated
James Page (james-page) on 2011-02-28
description: updated
James Page (james-page) on 2011-02-28
description: updated
Dave Walker (davewalker) wrote :

Rational for testing groovy on Maverick for sync in Natty actually makes sense. From a Eucalyptus side, I support this sync. :)

James Page (james-page) on 2011-02-28
summary: - [FFe] Sync groovy 1.7.4-1 (main) from Debian testing (main)
+ [FFe] Merge groovy 1.7.4-1 (main) from Debian testing (main)
description: updated
description: updated
James Page (james-page) on 2011-02-28
Changed in groovy (Ubuntu):
status: In Progress → New
Iulian Udrea (iulian) wrote :

Ack. Approved. Please go ahead and upload.

Changed in groovy (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package groovy - 1.7.4-1ubuntu1

---------------
groovy (1.7.4-1ubuntu1) natty; urgency=low

  * debian/rules: added ant-nodeps to deal with FTBFS
    specific to Ubuntu (LP: #661230).
 -- James Page <email address hidden> Thu, 24 Feb 2011 16:10:32 +0000

Changed in groovy (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related blueprints